# Deprecated List (ACF (Core) 0.5.1-SNAPSHOT API)
deprecated elements

# Deprecated API

## Contents

- Interfaces
- Classes
- Annotation Types
- Methods
- Constructors

Deprecated Interfaces
Interface
Description
co.aikar.commands.AnnotationProcessor
co.aikar.commands.contexts.SenderAwareContextResolver
Please use `IssuerAwareContextResolver`

Deprecated Classes
Class
Description
co.aikar.commands.processors.ConditionsProcessor

Deprecated Annotation Types
Annotation Type
Description
co.aikar.commands.annotation.CatchAll
Use `instead, which is more accurately named`
co.aikar.commands.annotation.UnknownHandler
Use `instead, which is more accurately named`
co.aikar.commands.UnstableAPI

Deprecated Methods
Method
Description
co.aikar.commands.ACFUtil.random(Class<? extends T>)
co.aikar.commands.BaseCommand.canExecute(CommandIssuer, RegisteredCommand<?>)
See `CommandConditions`
co.aikar.commands.BaseCommand.getCommandHelp()
Unstable API
co.aikar.commands.BaseCommand.showCommandHelp()
Unstable API
co.aikar.commands.CommandContexts.registerSenderAwareContext(Class<T>, IssuerAwareContextResolver<T, R>)
Please switch to `CommandContexts.registerIssuerAwareContext(Class, IssuerAwareContextResolver)` as the core wants to use the platform-agnostic term of "Issuer" instead of Sender
co.aikar.commands.CommandExecutionContext.getAnnotation(Class<T>)
Use `CommandExecutionContext.getAnnotationValue(Class)`
co.aikar.commands.CommandExecutionContext.getParam()
co.aikar.commands.CommandIssuer.sendMessageInternal(String)
Do not call this, for internal use. Not considered part of the API and may break.
co.aikar.commands.CommandManager.enableUnstableAPI(String)
Use this with caution! If you enable and use Unstable API's, your next compile using ACF may require you to update your implementation to those unstable API's
co.aikar.commands.CommandManager.generateCommandHelp()
Unstable API
co.aikar.commands.CommandManager.generateCommandHelp(String)
Unstable API
co.aikar.commands.CommandManager.generateCommandHelp(CommandIssuer, String)
Unstable API
co.aikar.commands.CommandManager.generateCommandHelp(CommandIssuer, RootCommand)
Unstable API
co.aikar.commands.CommandManager.getDefaultHelpPerPage()
Unstable API
co.aikar.commands.CommandManager.getHelpFormatter()
Unstable API
co.aikar.commands.CommandManager.setDefaultHelpPerPage(int)
Unstable API
co.aikar.commands.CommandManager.setHelpFormatter(CommandHelpFormatter)
Unstable API
co.aikar.commands.CommandOperationContext.getAnnotation(Class<T>)
Use `CommandOperationContext.getAnnotationValue(Class)`
co.aikar.commands.RegisteredCommand.getPermission()

Deprecated Constructors
Constructor
Description
co.aikar.commands.BaseCommand(String)
Please switch to `CommandAlias` for defining all root commands.